Find the answer to your Linux question:
Page 2 of 2 FirstFirst 1 2
Results 11 to 17 of 17
Yikes. One last thing before trying to recompile. Which versions of: libast.so.1 is needed by Eterm-0.9.2-1 libImlib2.so.1 is needed by Eterm-0.9.2-1 are on your machine? If those are the only ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #11
    Just Joined!
    Join Date
    Nov 2002
    Location
    USA
    Posts
    99

    Yikes. One last thing before trying to recompile. Which versions of:
    libast.so.1 is needed by Eterm-0.9.2-1
    libImlib2.so.1 is needed by Eterm-0.9.2-1
    are on your machine?

    If those are the only two, maybe it won't be so bad, then again maybe you'll install those and find that they are dependent on other libraries. Ayeeeeeeeeeeh! Shared object libraries are such fun aren't they?

  2. #12
    Linux Engineer
    Join Date
    Nov 2002
    Location
    Queens, NY
    Posts
    1,319
    If you are referring to the RPM package versions.... I think I have:
    libpng-1.2.2-17
    imlib-1.9.13-14

    I'm trying to compile it now and I've run into a problem with YAST. These shared libraries sure are fun. I realize now that I had taken Debian for granted. Nontheless, I'm going to stick around and do it the hard way.
    The best things in life are free.

  3. #13
    Just Joined!
    Join Date
    Nov 2002
    Location
    USA
    Posts
    99
    No, no, which versions of libast and libImlib2 do you have in your /lib or /usr/lib directories?
    Since it's looking for version 1, I assume that neither are actually installed, but just check in case.

  4. #14
    Linux Engineer
    Join Date
    Nov 2002
    Location
    Queens, NY
    Posts
    1,319
    libImlib.so.11 and libImlib.so.11.0.0

    No libast files in /lib and /usr/lib.

    This is like playing tag.
    The best things in life are free.

  5. #15
    Just Joined!
    Join Date
    Nov 2002
    Location
    USA
    Posts
    99
    Tag you're it!

    In that case, find rpms for those libraries and you may be home free. Cross your fingers.

  6. #16
    Just Joined!
    Join Date
    Nov 2002
    Location
    USA
    Posts
    99
    Just checked out libast - library of assorted spiffy things.
    Man, that's about as descriptive as calling a function foo.

  7. #17
    Linux Engineer
    Join Date
    Nov 2002
    Location
    Queens, NY
    Posts
    1,319

    SUCCESS

    The problem here was that I was missing libImlib2. Once I installed that and installed libast from the Eterm download page (not the mirror downloads), I was able to install it with no problems.
    The best things in life are free.

Page 2 of 2 FirstFirst 1 2

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •